gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A with a decorative frame and optional .

This widget draws a frame around whatever it contains, so is often used to visually group a set of widgets together.

If present, a label is drawn in a gap in the top side of the frame. The position of the label can be controlled with .

Gtk.Bin Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Frame, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Create a new frame with a label in the top left corner.
  The text to appear as this frame's label
  A new Frame.

  This creates a new frame with a widget in the top left corner, displaying the text passed in as .

- Constructor
  Create a new frame with no label
  A new Frame with a null .
- Property
  Gtk.Widget Manage the widget that acts as a frame's . A widget to replace the existing label. The current in use as this Frame's label.

  Despite its name, this property does not have to set a widget as its label. Because of the way that Gtk containers work, you may add an arbitrary widget as the label for this frame. However, a genuine is recommended for consistency with other applications.

- Property
  System.Single Set the vertical alignment of the . A new vertical alignment between 0 and 1.0 The existing vertical alignment of this Frame's label
- Property
  System.Single Set the horizontal alignment of the . A new horizontal alignment between 0 and 1.0 The existing horizontal alignment of this Frame's label
- Property
  Gtk.ShadowType Manage the appearance of this frame's border. A new shadow type. The current shadow style that this Frame is rendered with.
- Property
  System.String The string that is visible as the Frame's label Sets the text of the label, if this Frame has one. The text of a label if is a , null otherwise.
- Property
  Gtk.ShadowType Manage the appearance of this frame's border. A new shadow type. The current shadow style that this Frame is rendered with.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.